"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readAccessibility = exports.getAccessibilites = void 0;
const axios_1 = __importDefault(require("axios"));
const utils_1 = require("../utils");
function getAccessibilites(key, query = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const r = yield axios_1.default.get(`${utils_1.API_URL}/accessibilite/`, {
                headers: {
                    "Content-Type": "application/json",
                    Authorization: `Api-Key ${key}`,
                },
                params: query,
            });
            return r.data;
        }
        catch (error) { }
    });
}
exports.getAccessibilites = getAccessibilites;
function readAccessibility(key, id) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const r = yield axios_1.default.get(`${utils_1.API_URL}/accessibilite/${id}/`, {
                headers: {
                    "Content-Type": "application/json",
                    Authorization: `Api-Key ${key}`,
                },
            });
            return r.data;
        }
        catch (error) {
            return null;
        }
    });
}
exports.readAccessibility = readAccessibility;
