import { Paginate } from "../utils";
import { IAccessibility } from "./accessibility";
export interface IEstablishment {
    url: string;
    web_url: string;
    uuid: string;
    activite: {
        nom: string;
        slug: string;
    };
    nom: string;
    slug: string;
    adresse: string;
    commune: string;
    code_insee: string | null;
    code_postal: string;
    geom: {
        type: string;
        coordinates: [number, number];
    } | null;
    siret: string | null;
    telephone: string | null;
    site_internet: string | null;
    contact_email: string | null;
    contact_url: string | null;
    user_type: "admin" | "gestionnaire" | "public" | "system";
    accessibilite: IAccessibility;
    distance: string | null;
    source_id: string | null;
    asp_id: string | null;
    created_at: string;
    updated_at: string;
}
export type IPaginateEstablishments = Paginate<IEstablishment>;
