"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractAccessibiliteSlugFromApiUrl = exports.isValidAccessibilityApiUrl = void 0;
const constants_1 = require("./constants");
const url_1 = require("./url");
function isValidAccessibilityApiUrl(url) {
    let u = url.trim();
    if (!u.startsWith(constants_1.API_URL)) {
        return false;
    }
    u = u.replace(constants_1.API_URL, "");
    u = (0, url_1.urlRemoveQueryStrings)(u);
    const uParts = u.split("/").filter((part) => part.length > 0);
    if (uParts.length !== 2) {
        return false;
    }
    return uParts[0] === "accessibilite";
}
exports.isValidAccessibilityApiUrl = isValidAccessibilityApiUrl;
function extractAccessibiliteSlugFromApiUrl(url) {
    if (!isValidAccessibilityApiUrl(url)) {
        return null;
    }
    const cleanUrl = (0, url_1.urlRemoveQueryStrings)(url.trim().replace(constants_1.API_URL, ""));
    const urlParts = cleanUrl.split("/").filter((part) => part.length > 0);
    return urlParts[urlParts.length - 1];
}
exports.extractAccessibiliteSlugFromApiUrl = extractAccessibiliteSlugFromApiUrl;
