"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractEstablishmentSlugFromUrl = exports.isValidEstablishmentUrl = void 0;
const constants_1 = require("./constants");
const url_1 = require("./url");
function isValidEstablishmentUrl(url) {
    let u = url.trim();
    if (!u.startsWith(constants_1.BASE_URL)) {
        return false;
    }
    u = u.replace(constants_1.BASE_URL, "");
    u = (0, url_1.urlRemoveQueryStrings)(u);
    const uParts = u.split("/").filter((part) => part.length > 0);
    if (uParts.length !== 6) {
        return false;
    }
    return uParts[0] === "app" && uParts[2] === "a" && uParts[4] === "erp";
}
exports.isValidEstablishmentUrl = isValidEstablishmentUrl;
function extractEstablishmentSlugFromUrl(url) {
    if (!isValidEstablishmentUrl(url)) {
        return null;
    }
    const cleanUrl = (0, url_1.urlRemoveQueryStrings)(url.trim().replace(constants_1.BASE_URL, ""));
    const urlParts = cleanUrl.split("/").filter((part) => part.length > 0);
    return urlParts[urlParts.length - 1];
}
exports.extractEstablishmentSlugFromUrl = extractEstablishmentSlugFromUrl;
